\version "2.24.1"

N = 79
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new OboeIandII \partCombine #'(0 . 12) \I.Oboe.1 \I.Oboe.2
          \new BassoonIandII \partCombine \I.Bassoon.1 \I.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=f } \partCombine \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CB { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup <<
          \new Flute { \II.Flute }
          \new Oboes <<
            \new OboeI      \with { \RemoveAllEmptyStaves } { \II.Oboe.1 }
            \new OboeII     \with { \RemoveAllEmptyStaves } { \II.Oboe.2 }
            \new OboeIandII \partCombine \II.Oboe.1 \II.Oboe.2
          >>
          \new BassoonIandII \partCombine \II.Bassoon.1 \II.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=bes } \partCombine #'(0 . 9) \II.Horn.1 \II.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new CB { \II.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout III \spacing #1/16 }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.structure
        \new StaffGroup <<
          \new Flute { \III.Flute }
          \new OboeIandII \partCombine \III.Oboe.1 \III.Oboe.2
          \new BassoonIandII \partCombine \III.Bassoon.1 \III.Bassoon.2
        >>
        \new StaffGroup
          \new HornIandII \with { key=f } \partCombine \III.Horn.1 \III.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CB    { \III.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout IV \spacing #1/24 }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
          \new BassoonIandII \partCombine \IV.Bassoon.1 \IV.Bassoon.2
        >>
        \new StaffGroup
           \new HornIandII \with { key=f } \partCombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB    { \IV.Cello }
        >>
      >>
    }
  }
}
